Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class ByteArrayBuffer.CaseInsensitive

    java.lang.Object
      org.mortbay.io.AbstractBuffer
          org.mortbay.io.ByteArrayBuffer
              org.mortbay.io.ByteArrayBuffer.CaseInsensitive

All Implemented Interfaces:
  java.lang.Cloneable, Buffer, Buffer.CaseInsensitve

Direct Known Subclasses:
  BufferCache.CachedBuffer

Enclosing class:
  ByteArrayBuffer

    public static class ByteArrayBuffer.CaseInsensitive

extends ByteArrayBuffer
implements Buffer.CaseInsensitve

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.ByteArrayBuffer
`ByteArrayBuffer.CaseInsensitive`

Nested classes/interfaces inherited from interface org.mortbay.io.Buffer
`Buffer.CaseInsensitve`

Field Summary

Fields inherited from class org.mortbay.io.ByteArrayBuffer
`_bytes`

Fields inherited from class org.mortbay.io.AbstractBuffer
`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

Fields inherited from interface org.mortbay.io.Buffer
`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

Constructor Summary
`ByteArrayBuffer.CaseInsensitive(byte[] b, int o, int l, int rw)`
`ByteArrayBuffer.CaseInsensitive(java.lang.String s)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class org.mortbay.io.ByteArrayBuffer
`array, capacity, compact, equalsIgnoreCase, get, hashCode, peek, peek, poke, poke, poke, readFrom, space, wrap, wrap, writeTo`

Methods inherited from class org.mortbay.io.AbstractBuffer
`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, clear, duplicate, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, put, put, put, put, putIndex, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, toDebugString, toDetailString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayBuffer.CaseInsensitive

    public ByteArrayBuffer.CaseInsensitive(java.lang.String s)

### ByteArrayBuffer.CaseInsensitive

    public ByteArrayBuffer.CaseInsensitive(byte[] b,
                                           int o,
                                           int l,
                                           int rw)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ByteArrayBuffer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.